%global commit b38a159f4fb44a972958d905d93a8be1b50379e8
%global scommit %(c=%{commit}; echo ${c:0:7})

Summary:       Fast and customizable dockbar
Name:          simdock
Version:       1.2.6
Release:       4.20130128git%{?dist}
License:       GPLv2+
Group:         User Interface/Desktops
URL:           https://github.com/onli/simdock
Source0:       https://github.com/onli/simdock/archive/%{commit}/%{name}-%{version}-%{scommit}.tar.gz
Patch0:        simdock-1.2.desktop.patch
Patch1:        simdock-1.2-pixmap.patch
Patch2:        simdock-1.2-dso.patch
Buildrequires: desktop-file-utils
BuildRequires: GConf2-devel
BuildRequires: libwnck-devel
BuildRequires: startup-notification-devel
BuildRequires: wxGTK-devel
BuildRequires: automake
BuildRequires: autoconf
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
SimDock is a fast and customizable dockbar. It is written in c++ and
wxWidgets and fits well in Gnome but works on most desktop
environments. Does not require Compiz nor 3D acceleration.

%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{__ln_s} configure.ac configure.in

%build
./autogen.sh
%configure --disable-dependency-tracking
%{__make} %{?_smp_mflags} CPPFLAGS="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING LICENSE README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6-4.20130128git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6-3.20130128git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6-2.20130128git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jan 28 2013 Terje Rosten <terje.rosten@ntun.no> - 1.2.6-1.20130128git
- Latest from upstream
- New upstream location

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-14
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 07 2011 Terje Rosten <terje.rosten@ntnu.no> - 1.2-12
- Rebuilt for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 1.2-10
- rebuilt against wxGTK-2.8.11-2

* Thu Feb 18 2010 Terje Rosten <terje.rosten@ntnu.no> - 1.2-9
- Build with optflags

* Sun Feb 14 2010 Terje Rosten <terje.rosten@ntnu.no> - 1.2-8
- Add DSO patch

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May  5 2009 Terje Rosten <terje.rosten@ntnu.no> - 1.2.6
- Convert spec to utf8

* Thu Apr 30 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.2-5
- Patch to honor $RPM_OPT_FLAGS during build.
- Disable autotools dependency tracking during build for cleaner build logs
  and possible slight build speedup.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 20 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.2-3
- rebuild

* Thu Oct  2 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.2-2
- fix patch macro
- install desktop file

* Wed Mar 12 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.2-1
- initial build
